sys::System Interface Reference

System access methods. More...

`import"System.idl";`

## Public Member Functions

boolean | isDaemonRunning (in string name)
| Check whether a daemon process is running. More...
void | restartDaemon (in string name)
| Restart a daemon process. More...

## Detailed Description

System access methods.

## Member Function Documentation

## isDaemonRunning()

boolean sys::System::isDaemonRunning | ( | in string | name | ) |

Check whether a daemon process is running.

Parameters

  name | Daemon name

Returns
  `true` if the daemon process is running

## restartDaemon()

void sys::System::restartDaemon | ( | in string | name | ) |

Restart a daemon process.

Parameters

  name | Daemon name

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/System.idl